commit:     7ee5f26707764313ee9fe61f767b9775dff05b1a
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Mon Feb 17 14:38:55 2025 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Mon Feb 17 20:46:59 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7ee5f267

dev-python/poetry: Bump to 2.1.1

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/poetry/Manifest            |  1 +
 dev-python/poetry/poetry-2.1.1.ebuild | 87 +++++++++++++++++++++++++++++++++++
 2 files changed, 88 insertions(+)

diff --git a/dev-python/poetry/Manifest b/dev-python/poetry/Manifest
index 5d2e384cd948..6e55be1e93ff 100644
--- a/dev-python/poetry/Manifest
+++ b/dev-python/poetry/Manifest
@@ -1,2 +1,3 @@
 DIST poetry-2.0.1.tar.gz 2846041 BLAKE2B 
691ffcd39799d0794f8853cdb9742d95d5dd64a62488af56f58b6ac1d8b7e734b109375d595f975e7b310bd3c36a5b5c846dd37e2ffd7bf2fe7d25bd1835cff1
 SHA512 
9a53fe5cbaea7c923e8af6920b545a54402d49937f31c5812dcc8939f8db44ea2557302f54e015fd7f7e96de66d8fc90596cd06a30dc53ef474a8bb54fdc2c97
 DIST poetry-2.1.0.tar.gz 3433096 BLAKE2B 
27feceb8c5bced84f508a538da231749f18724fd92051f328dbe9cc103c1988773a04e5526c5117c499df5a3121228d50dedb0d12f3a90f0d89b4438ae61245e
 SHA512 
09757d3ca668e014d1591cb56a54013f34eec3b3d4216a2408ae73c2b784a2798727bfd65fb35cf604423cf0d67f2cfcff8f709d14debc9623d1dc9a863f4e68
+DIST poetry-2.1.1.tar.gz 3433288 BLAKE2B 
28d8b376d3ca6f8e34b95132b1b09e86f0a6a52b6a75393ab04cdf200d545075235383d650d0867f7f59ed125357b263b56de02ab83390811bf956d4ce5dbf31
 SHA512 
3f25f72e64871ee3c894df03d9ebc8d7d6f22f0b3c90c09ba3a25316c632f0ecda833979ccd9f835e851fe404061da2f2354f6197c788348e5b884c2165eb0bb

diff --git a/dev-python/poetry/poetry-2.1.1.ebuild 
b/dev-python/poetry/poetry-2.1.1.ebuild
new file mode 100644
index 000000000000..7b960d9bc1e1
--- /dev/null
+++ b/dev-python/poetry/poetry-2.1.1.ebuild
@@ -0,0 +1,87 @@
+# Copyright 2023-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=poetry
+PYTHON_COMPAT=( python3_{10..13} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="A frontend for poetry - a python dependency management and 
packaging tool"
+HOMEPAGE="
+       https://python-poetry.org/
+       https://github.com/python-poetry/poetry
+       https://pypi.org/project/poetry/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND="
+       >=dev-python/poetry-core-${PV}[${PYTHON_USEDEP}]
+       >=dev-python/poetry-plugin-export-1.6.0[${PYTHON_USEDEP}]
+       >=dev-python/build-1.2.1[${PYTHON_USEDEP}]
+       >=dev-python/cachecontrol-0.14.0[${PYTHON_USEDEP}]
+       >=dev-python/cleo-2.1.0[${PYTHON_USEDEP}]
+       >=dev-python/dulwich-0.22.6[${PYTHON_USEDEP}]
+       >=dev-python/fastjsonschema-2.18.0[${PYTHON_USEDEP}]
+       >=dev-python/findpython-0.6.2[${PYTHON_USEDEP}]
+       >=dev-python/installer-0.7.0[${PYTHON_USEDEP}]
+       >=dev-python/keyring-25.1.0[${PYTHON_USEDEP}]
+       >=dev-python/packaging-24.0[${PYTHON_USEDEP}]
+       >=dev-python/pbs-installer-2025.01.06[${PYTHON_USEDEP}]
+       >=dev-python/pkginfo-1.12[${PYTHON_USEDEP}]
+       >=dev-python/platformdirs-3.0.0[${PYTHON_USEDEP}]
+       >=dev-python/requests-2.26[${PYTHON_USEDEP}]
+       >=dev-python/requests-toolbelt-1.0.0[${PYTHON_USEDEP}]
+       >=dev-python/shellingham-1.5.0[${PYTHON_USEDEP}]
+       >=dev-python/tomlkit-0.11.6[${PYTHON_USEDEP}]
+       >=dev-python/trove-classifiers-2022.5.19[${PYTHON_USEDEP}]
+       >=dev-python/virtualenv-20.26.0[${PYTHON_USEDEP}]
+       $(python_gen_cond_dep '
+               >=dev-python/tomli-2.0.1[${PYTHON_USEDEP}]
+       ' 3.10)
+"
+
+BDEPEND="
+       test? (
+               >=dev-python/deepdiff-6.3.1[${PYTHON_USEDEP}]
+               >=dev-python/httpretty-1.1[${PYTHON_USEDEP}]
+               >=dev-python/jaraco-classes-3.3.1[${PYTHON_USEDEP}]
+               >=dev-python/pytest-mock-3.9[${PYTHON_USEDEP}]
+               dev-python/pytest-rerunfailures[${PYTHON_USEDEP}]
+       )
+"
+
+src_prepare() {
+       # unpin
+       sed -e 's:,<[0-9.]*::' -e 's:==\([0-9]\):>=\1:' -i pyproject.toml || die
+
+       distutils-r1_src_prepare
+}
+
+EPYTEST_DESELECT=(
+       # Internal test for lockfile being up-to-date
+       # Meaningless, also sdist does not include lockfile
+       tests/installation/test_installer.py::test_not_fresh_lock
+
+       # broken if poetry-plugin-export is installed
+       
'tests/console/test_application_command_not_found.py::test_application_command_not_found_messages[x-None]'
+
+       # TODO
+       tests/installation/test_executor.py::test_executor_known_hashes
+       
tests/puzzle/test_provider.py::test_search_for_directory_setup_read_setup_with_no_dependencies
+       
tests/utils/env/test_env_manager.py::test_create_venv_finds_no_python_executable
+       tests/utils/test_python_manager.py::test_python_get_preferred_default
+       
'tests/inspection/test_info.py::test_info_setup_missing_mandatory_should_trigger_pep517[name]'
+)
+
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+python_test() {
+       local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+       epytest -m "not network" -p pytest_mock -p rerunfailures --reruns=5
+}

Reply via email to